Last Comment Bug 678588 - Drop singleDeviceInterval to 1 hour
: Drop singleDeviceInterval to 1 hour
Status: RESOLVED WONTFIX
:
Product: Cloud Services
Classification: Client Software
Component: Firefox Sync: Backend (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla7
Assigned To: Philipp von Weitershausen [:philikon]
:
Mentors:
Depends on: 694149
Blocks: 664792
  Show dependency treegraph
 
Reported: 2011-08-12 12:27 PDT by Philipp von Weitershausen [:philikon]
Modified: 2011-11-01 09:37 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
wontfix
fixed


Attachments
v1 (182 bytes, patch)
2011-08-12 12:58 PDT, Philipp von Weitershausen [:philikon]
no flags Details | Diff | Splinter Review
v1 (1.35 KB, patch)
2011-08-12 13:39 PDT, Philipp von Weitershausen [:philikon]
mconnor: review+
christian: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Philipp von Weitershausen [:philikon] 2011-08-12 12:27:59 PDT
In bug 664792 we got rid of heartbeat-triggered syncs because regular syncs are nearly as efficient as doing heartbeats. However, we forgot to drop the singleDeviceInterval to the heartbeat frequency which was 1 hour.
Comment 1 Philipp von Weitershausen [:philikon] 2011-08-12 12:58:59 PDT
Created attachment 552740 [details] [diff] [review]
v1
Comment 2 Philipp von Weitershausen [:philikon] 2011-08-12 13:39:52 PDT
Created attachment 552754 [details] [diff] [review]
v1

lolnub
Comment 3 Mike Connor [:mconnor] 2011-08-12 13:40:59 PDT
Comment on attachment 552754 [details] [diff] [review]
v1

At which point... why not just use idleInterval?  But... minimal is good for Fx7
Comment 4 Philipp von Weitershausen [:philikon] 2011-08-12 13:44:09 PDT
(In reply to Mike Connor [:mconnor] from comment #3)
> At which point... why not just use idleInterval?  But... minimal is good for
> Fx7

Yep. Also, still useful to keep them separate for QA because it allows us to test different code paths.
Comment 5 Philipp von Weitershausen [:philikon] 2011-08-12 13:50:14 PDT
Comment on attachment 552754 [details] [diff] [review]
v1

Requesting approval for Aurora. The last follow-up for bug 664792 (I swear!). Risk is minimal, it just changes a pref value that we forgot to adjust.
Comment 6 Philipp von Weitershausen [:philikon] 2011-08-12 14:15:34 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/a68442b5ff5c
Comment 7 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-08-14 05:05:14 PDT
http://hg.mozilla.org/mozilla-central/rev/a68442b5ff5c
Comment 8 Philipp von Weitershausen [:philikon] 2011-08-15 14:55:52 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/654659c31938
Comment 9 christian 2011-09-15 20:00:47 PDT
I backed this out of mozilla-beta due to bug 598774:

http://hg.mozilla.org/releases/mozilla-beta/rev/e5566280b79d

I left in in aurora8 and mozilla-central for now. If you disagree, please email me directly or release-drivers@mozilla.org.
Comment 10 Aaron Train [:aaronmt] 2011-09-15 20:23:44 PDT
Anything QA should be looking for with this backout, str, etc?
Comment 11 Philipp von Weitershausen [:philikon] 2011-09-15 21:42:31 PDT
I disagree with this backout, will follow up as advised in comment 9.
Comment 12 christian 2011-09-27 10:08:53 PDT
I backed this out of beta8 as well.
Comment 13 christian 2011-09-27 12:26:29 PDT
Actually, because of the investigation in bug 598774 we are going to re-land this on beta8.
Comment 14 Philipp von Weitershausen [:philikon] 2011-10-12 14:41:19 PDT
Reopening this as we've decided to back this out altogether (see bug 694149). Will be WONTFIXing once bug 694149 lands.
Comment 15 Philipp von Weitershausen [:philikon] 2011-11-01 09:37:19 PDT
WONTFIXing this as planned (comment 14)

Note You need to log in before you can comment on or make changes to this bug.